Bug 65807 - defaultgateway option to ppp is always on even if DEFROUTE=no is given in ifcg-ippp0 file
defaultgateway option to ppp is always on even if DEFROUTE=no is given in ifc...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-31 16:46 EDT by Marcel Mol
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-04 16:05:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Mol 2002-05-31 16:46:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8+) Gecko/20020301

Description of problem:
For every isdnconnection involving ippp the default gateway option will be
passed to ippp (via the ifup-ippp script). Even if the ifcfg-ippp0 file contains
the definition DEFROUTE="no".

For a specific connection I want to leave the default gateway as is and
will setup a specific rooute to the network on the other side of the ppp connection.

I see in the ipcfg-ippp script that the 'defaultroute' option is ALWAYS added to
the list of ppp options. Earlier in the script the optien 'deldefaultroute' as
added depending on the value of the DEFROUTE variable. Therefor I think the
following patch could be applied to the ifcfg-ippp script:

--- ifup-ippp.org        Fri May 31 13:36:44 2002
+++ ifup-ippp    Fri May 31 13:37:08 2002
@@ -257,7 +257,7 @@
     fi
     # Add default route while connection
-    options="$options defaultroute"
+    [ "$DEFROUTE" = "yes" ] && options="$options defaultroute"

     # Van Jacobson style TCP/IP header compression and
     # VJ connection-ID compression


-Marcel

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.define a new connection using isdn
2.make sure the DEFROUTE variable is set to no
3.start isdn connection
4. check routing table and verify the defautl route
	

Actual Results:  The defautl route is changed to the ippp connection

Expected Results:  The default route should have stayed at its normal device,
e.g. the interface that is connected to the internet.

Additional info:
Comment 1 Ngo Than 2002-06-02 06:20:12 EDT
It's fixed in isdn4k-utils-3.1-53 or in redhat 7.3.
Comment 2 Marcel Mol 2002-06-02 06:40:47 EDT
Are you sure it is solved in isdn4k-utils-3.1-53.
The diff was actually taken from a redhat 7.3 system with that version
of isdn4k-utils. The ifup-ippp script at line 259 still has just

     # Add default route while connection
     options="$options defaultroute"

-MArcel
Comment 3 Michael Schwendt 2002-06-04 09:30:41 EDT
Wrong component: should be initscripts (6.67-1).

It's not fixed in Valhalla.

/etc/sysconfig/network-scripts/ifup-ippp, line 260 does not contain the
DEFROUTE=yes check. Only option deldefaultroute in line 110 contains that check.

If I were the reporter, I'd reopen this bug report.
Comment 4 Marcel Mol 2002-06-04 10:40:16 EDT
Right, as suggested by mschwendt@yahoo.com, i reopen the bugreport.
Guess I forgot to when adding the previous comment.
Indeed the ifup-ippp script is patrt of initscript instead of isdn4k-utils, so I
changed the component field..
Comment 5 Michael Schwendt 2002-06-04 16:05:20 EDT
And of course, this report refers to Version 7.3 of Red Hat Linux.
Comment 6 Ngo Than 2002-06-05 06:02:18 EDT
oh i have overlooked! It's fixed now in CVS(initscripts-6.77-1 or newer).

Note You need to log in before you can comment on or make changes to this bug.